﻿<?xml version="1.0" encoding="utf-8"?>
<edmx:Edmx Version="3.0" xmlns:edmx="http://schemas.microsoft.com/ado/2009/11/edmx">
  <!-- EF Runtime content -->
  <edmx:Runtime>
    <!-- SSDL content -->
    <edmx:StorageModels>
      <Schema Namespace="databaseModel.Store" Provider="System.Data.SqlClient" ProviderManifestToken="2008" Alias="Self" xmlns:store="http://schemas.microsoft.com/ado/2007/12/edm/EntityStoreSchemaGenerator" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm/ssdl">
        <EntityType Name="UserTb">
          <Key>
            <PropertyRef Name="UserNo" />
          </Key>
          <Property Name="UserNo" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="UserName" Type="varchar" MaxLength="10" />
          <Property Name="Age" Type="int" />
          <Property Name="Address" Type="varchar" MaxLength="20" />
          <Property Name="ContactNo" Type="varchar" MaxLength="10" />
          <Property Name="Status" Type="varchar" MaxLength="20" />
          <Property Name="Role" Type="varchar" MaxLength="20" />
          <Property Name="Email" Type="varchar" MaxLength="30" />
          <Property Name="Password" Type="varchar" MaxLength="20" />
        </EntityType>
        <EntityContainer Name="databaseModelStoreContainer">
          <EntitySet Name="UserTb" EntityType="Self.UserTb" Schema="dbo" store:Type="Tables" />
        </EntityContainer>
      </Schema>
    </edmx:StorageModels>
    <!-- CSDL content -->
    <edmx:ConceptualModels>
      <Schema Namespace="databaseModel" Alias="Self" annotation:UseStrongSpatialTypes="false" xmlns:annotation="http://schemas.microsoft.com/ado/2009/02/edm/annotation" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm">
        <EntityType Name="UserTb">
          <Key>
            <PropertyRef Name="UserNo" />
          </Key>
          <Property Name="UserNo" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="UserName" Type="String" MaxLength="10" FixedLength="false" Unicode="false" />
          <Property Name="Age" Type="Int32" />
          <Property Name="Address" Type="String" MaxLength="20" FixedLength="false" Unicode="false" />
          <Property Name="ContactNo" Type="String" MaxLength="10" FixedLength="false" Unicode="false" />
          <Property Name="Status" Type="String" MaxLength="20" FixedLength="false" Unicode="false" />
          <Property Name="Role" Type="String" MaxLength="20" FixedLength="false" Unicode="false" />
          <Property Name="Email" Type="String" MaxLength="30" FixedLength="false" Unicode="false" />
          <Property Name="Password" Type="String" MaxLength="20" FixedLength="false" Unicode="false" />
        </EntityType>
        <EntityContainer Name="databaseEntities" annotation:LazyLoadingEnabled="true">
          <EntitySet Name="UserTbs" EntityType="Self.UserTb" />
        </EntityContainer>
      </Schema>
    </edmx:ConceptualModels>
    <!-- C-S mapping content -->
    <edmx:Mappings>
      <Mapping Space="C-S" xmlns="http://schemas.microsoft.com/ado/2009/11/mapping/cs">
        <EntityContainerMapping StorageEntityContainer="databaseModelStoreContainer" CdmEntityContainer="databaseEntities">
          <EntitySetMapping Name="UserTbs">
            <EntityTypeMapping TypeName="databaseModel.UserTb">
              <MappingFragment StoreEntitySet="UserTb">
                <ScalarProperty Name="UserNo" ColumnName="UserNo" />
                <ScalarProperty Name="UserName" ColumnName="UserName" />
                <ScalarProperty Name="Age" ColumnName="Age" />
                <ScalarProperty Name="Address" ColumnName="Address" />
                <ScalarProperty Name="ContactNo" ColumnName="ContactNo" />
                <ScalarProperty Name="Status" ColumnName="Status" />
                <ScalarProperty Name="Role" ColumnName="Role" />
                <ScalarProperty Name="Email" ColumnName="Email" />
                <ScalarProperty Name="Password" ColumnName="Password" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
        </EntityContainerMapping>
      </Mapping>
    </edmx:Mappings>
  </edmx:Runtime>
  <!-- EF Designer content (DO NOT EDIT MANUALLY BELOW HERE) -->
  <Designer xmlns="http://schemas.microsoft.com/ado/2009/11/edmx">
    <Connection>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="MetadataArtifactProcessing" Value="EmbedInOutputAssembly" />
      </DesignerInfoPropertySet>
    </Connection>
    <Options>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="ValidateOnBuild" Value="true" />
        <DesignerProperty Name="EnablePluralization" Value="true" />
        <DesignerProperty Name="IncludeForeignKeysInModel" Value="true" />
        <DesignerProperty Name="UseLegacyProvider" Value="true" />
        <DesignerProperty Name="CodeGenerationStrategy" Value="None" />
      </DesignerInfoPropertySet>
    </Options>
    <!-- Diagram content (shape and connector positions) -->
    <Diagrams></Diagrams>
  </Designer>
</edmx:Edmx>